Bug 389081 - kontact crash
Summary: kontact crash
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.7.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 391864 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-01-17 01:03 UTC by Emmett Culley
Modified: 2018-03-30 22:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (10.68 KB, text/plain)
2018-01-28 09:28 UTC, didier.garde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emmett Culley 2018-01-17 01:03:10 UTC
Application: kontact (5.7.0)

Qt Version: 5.9.2
Frameworks Version: 5.41.0
Operating System: Linux 4.14.13-300.fc27.x86_64 x86_64
Distribution: "Fedora release 27 (Twenty Seven)"

-- Information about the crash:
i was attepting to edit an entry.  it crashed when i clicked on the notes tab

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc56166b900 (LWP 24694))]

Thread 25 (Thread 0x7fc422a0f700 (LWP 24727)):
#0  0x00007fc55ac0e888 in read () from /lib64/libc.so.6
#1  0x00007fc54acf70e0 in g_wakeup_acknowledge () from /lib64/libglib-2.0.so.0
#2  0x00007fc54acb29e8 in g_main_context_check () from /lib64/libglib-2.0.so.0
#3  0x00007fc54acb2e80 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#4  0x00007fc54acb2fec in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x00007fc55ba8935b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#6  0x00007fc55ba370ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#7  0x00007fc55b8888ba in QThread::exec() () from /lib64/libQt5Core.so.5
#8  0x00007fc55b88cb92 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#9  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#10 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7fc42b2af700 (LWP 24725)):
#0  0x00007fc54acb2e61 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#1  0x00007fc54acb2fec in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#2  0x00007fc55ba8935b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#3  0x00007fc55ba370ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007fc55b8888ba in QThread::exec() () from /lib64/libQt5Core.so.5
#5  0x00007fc55b88cb92 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#6  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#7  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fc4d1ffb700 (LWP 24724)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5420e2604 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /lib64/libQt5Script.so.5
#2  0x00007fc5420e2649 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib64/libQt5Script.so.5
#3  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#4  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7fc4d27fc700 (LWP 24723)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc554209e85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc55420a367 in base::SequencedWorkerPool::Worker::Run() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc55420b101 in base::SimpleThread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fc4d2ffd700 (LWP 24722)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc554209e85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc55420a367 in base::SequencedWorkerPool::Worker::Run() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc55420b101 in base::SimpleThread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fc4d37fe700 (LWP 24719)):
#0  0x00007fc55ac2e47b in __libc_enable_asynccancel () from /lib64/libc.so.6
#1  0x00007fc55ac0e876 in read () from /lib64/libc.so.6
#2  0x00007fc52fd9f941 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#3  0x00007fc53427cc9e in pa_mainloop_prepare () from /lib64/libpulse.so.0
#4  0x00007fc53427d710 in pa_mainloop_iterate () from /lib64/libpulse.so.0
#5  0x00007fc53427d7d0 in pa_mainloop_run () from /lib64/libpulse.so.0
#6  0x00007fc53428b639 in thread () from /lib64/libpulse.so.0
#7  0x00007fc52fdceac8 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#8  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fc4d3fff700 (LWP 24718)):
#0  0x00007fc54f85e14a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5542388d2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffaee in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da70b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc55420b6c6 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fc4f0ff9700 (LWP 24717)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc55498cfa0 in cc::SingleThreadTaskGraphRunner::Run() () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc55420b101 in base::SimpleThread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fc4f17fa700 (LWP 24716)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5541ffb69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffb97 in base::WaitableEvent::Wait() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc55420b6c6 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fc4f1ffb700 (LWP 24715)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc554209e85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc55420a367 in base::SequencedWorkerPool::Worker::Run() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc55420b101 in base::SimpleThread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fc4f27fc700 (LWP 24714)):
#0  0x00007fc55ac0e92b in write () from /lib64/libc.so.6
#1  0x00007fc55ab8b3fd in _IO_new_file_write () from /lib64/libc.so.6
#2  0x00007fc55ab8bd9f in __GI__IO_file_xsputn () from /lib64/libc.so.6
#3  0x00007fc55ab5ec17 in buffered_vfprintf () from /lib64/libc.so.6
#4  0x00007fc55ab5bc56 in vfprintf () from /lib64/libc.so.6
#5  0x00007fc55ac30266 in __fprintf_chk () from /lib64/libc.so.6
#6  0x00007fc547ab93e0 in _warn_helper () from /lib64/libevent-2.0.so.5
#7  0x00007fc547ab95a4 in event_warn () from /lib64/libevent-2.0.so.5
#8  0x00007fc547abdd40 in epoll_dispatch () from /lib64/libevent-2.0.so.5
#9  0x00007fc547aa88de in event_base_loop () from /lib64/libevent-2.0.so.5
#10 0x00007fc5541dacb9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#11 0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#12 0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#13 0x00007fc553adbf48 in content::BrowserThreadImpl::IOThreadRun(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#14 0x00007fc553adc4fb in content::BrowserThreadImpl::Run(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#15 0x00007fc55420b778 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#16 0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#17 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#18 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fc4f2ffd700 (LWP 24713)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5541ffb69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffb97 in base::WaitableEvent::Wait() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc553adbe98 in content::BrowserThreadImpl::CacheThreadRun(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc553adc4eb in content::BrowserThreadImpl::Run(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc55420b778 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#9  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#10 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fc4f37fe700 (LWP 24712)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5541ffb69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffb97 in base::WaitableEvent::Wait() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc553adbde8 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc553adc4db in content::BrowserThreadImpl::Run(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc55420b778 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#9  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#10 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fc4f3fff700 (LWP 24711)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5541ffb69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffb97 in base::WaitableEvent::Wait() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc553adbd38 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc553adc4cb in content::BrowserThreadImpl::Run(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc55420b778 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#9  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#10 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fc514ff9700 (LWP 24710)):
#0  0x00007fc55ac2e43c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fc55ac30214 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007fc547ab93e0 in _warn_helper () from /lib64/libevent-2.0.so.5
#3  0x00007fc547ab95a4 in event_warn () from /lib64/libevent-2.0.so.5
#4  0x00007fc547abdd40 in epoll_dispatch () from /lib64/libevent-2.0.so.5
#5  0x00007fc547aa88de in event_base_loop () from /lib64/libevent-2.0.so.5
#6  0x00007fc5541dacb9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#9  0x00007fc553adbc88 in content::BrowserThreadImpl::FileThreadRun(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#10 0x00007fc553adc4bb in content::BrowserThreadImpl::Run(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#11 0x00007fc55420b778 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#12 0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#13 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#14 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fc5157fa700 (LWP 24709)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5541ffb69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffb97 in base::WaitableEvent::Wait() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc553adbbd8 in content::BrowserThreadImpl::DBThreadRun(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc553adc4ab in content::BrowserThreadImpl::Run(base::RunLoop*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc55420b778 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#9  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#10 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fc515ffb700 (LWP 24708)):
#0  0x00007fc54f85e14a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5542388d2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc55420e989 in base::PosixDynamicThreadPool::WaitForTask() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc55420eeeb in base::(anonymous namespace)::WorkerThread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fc5167fc700 (LWP 24707)):
#0  0x00007fc54f85e14a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5542388d2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc55420e989 in base::PosixDynamicThreadPool::WaitForTask() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc55420eeeb in base::(anonymous namespace)::WorkerThread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fc516ffd700 (LWP 24706)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc5541ffb69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /lib64/libQt5WebEngineCore.so.5
#2  0x00007fc5541ffb97 in base::WaitableEvent::Wait() () from /lib64/libQt5WebEngineCore.so.5
#3  0x00007fc5541da6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#4  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#5  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#6  0x00007fc55420b6c6 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fc5177fe700 (LWP 24705)):
#0  0x00007fc55ac2e43c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fc55ac30214 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007fc547ab93e0 in _warn_helper () from /lib64/libevent-2.0.so.5
#3  0x00007fc547ab95a4 in event_warn () from /lib64/libevent-2.0.so.5
#4  0x00007fc547abdd40 in epoll_dispatch () from /lib64/libevent-2.0.so.5
#5  0x00007fc547aa88de in event_base_loop () from /lib64/libevent-2.0.so.5
#6  0x00007fc5541dad0d in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /lib64/libQt5WebEngineCore.so.5
#7  0x00007fc5541d6f88 in base::MessageLoop::RunHandler() () from /lib64/libQt5WebEngineCore.so.5
#8  0x00007fc5541f39cb in base::RunLoop::Run() () from /lib64/libQt5WebEngineCore.so.5
#9  0x00007fc55420b6c6 in base::Thread::ThreadMain() () from /lib64/libQt5WebEngineCore.so.5
#10 0x00007fc5542077cb in base::(anonymous namespace)::ThreadFunc(void*) () from /lib64/libQt5WebEngineCore.so.5
#11 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#12 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fc526907700 (LWP 24698)):
#0  0x00007fc55ac0e888 in read () from /lib64/libc.so.6
#1  0x00007fc54acf70e0 in g_wakeup_acknowledge () from /lib64/libglib-2.0.so.0
#2  0x00007fc54acb29e8 in g_main_context_check () from /lib64/libglib-2.0.so.0
#3  0x00007fc54acb2e80 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#4  0x00007fc54acb2fec in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x00007fc55ba8935b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#6  0x00007fc55ba370ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#7  0x00007fc55b8888ba in QThread::exec() () from /lib64/libQt5Core.so.5
#8  0x00007fc55d875479 in QDBusConnectionManager::run() () from /lib64/libQt5DBus.so.5
#9  0x00007fc55b88cb92 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#10 0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fc5275a7700 (LWP 24697)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc52c8df3cb in util_queue_thread_func () from /usr/lib64/dri/r600_dri.so
#2  0x00007fc52c8df2e7 in impl_thrd_routine () from /usr/lib64/dri/r600_dri.so
#3  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#4  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fc5287bf700 (LWP 24696)):
#0  0x00007fc54f85dc4b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc52c8df3cb in util_queue_thread_func () from /usr/lib64/dri/r600_dri.so
#2  0x00007fc52c8df2e7 in impl_thrd_routine () from /usr/lib64/dri/r600_dri.so
#3  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#4  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fc5370af700 (LWP 24695)):
#0  0x00007fc55ac1336b in poll () from /lib64/libc.so.6
#1  0x00007fc54e4abfe7 in _xcb_conn_wait () from /lib64/libxcb.so.1
#2  0x00007fc54e4addda in xcb_wait_for_event () from /lib64/libxcb.so.1
#3  0x00007fc5393e9a49 in QXcbEventReader::run() () from /lib64/libQt5XcbQpa.so.5
#4  0x00007fc55b88cb92 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007fc54f85761b in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc55ac1f91f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fc56166b900 (LWP 24694)):
[KCrash Handler]
#6  0x00007fc54aa1a239 in ContactEditor::AddressesLocationWidget::loadContact(KContacts::Addressee const&) () from /lib64/libKF5ContactEditor.so.5
#7  0x00007fc54aa3c5e5 in ContactEditorWidget::loadContact(KContacts::Addressee const&, ContactEditor::ContactMetaDataBase const&) () from /lib64/libKF5ContactEditor.so.5
#8  0x00007fc55a8a2038 in Akonadi::AkonadiContactEditor::Private::parentCollectionFetchDone(KJob*) () from /lib64/libKF5AkonadiContact.so.5
#9  0x00007fc55ba60ce7 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#10 0x00007fc55d02b7bc in KJob::result(KJob*, KJob::QPrivateSignal) () from /lib64/libKF5CoreAddons.so.5
#11 0x00007fc55d02c2f1 in KJob::finishJob(bool) () from /lib64/libKF5CoreAddons.so.5
#12 0x00007fc55ba6d044 in QSingleShotTimer::timerEvent(QTimerEvent*) () from /lib64/libQt5Core.so.5
#13 0x00007fc55ba618cb in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#14 0x00007fc55c6a96ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#15 0x00007fc55c6b0ef4 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#16 0x00007fc55ba38367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#17 0x00007fc55ba8866b in QTimerInfoList::activateTimers() () from /lib64/libQt5Core.so.5
#18 0x00007fc55ba88f01 in timerSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#19 0x00007fc54acb2bb7 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#20 0x00007fc54acb2f60 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#21 0x00007fc54acb2fec in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#22 0x00007fc55ba8933f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#23 0x00007fc55ba370ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#24 0x00007fc55c8941f7 in QDialog::exec() () from /lib64/libQt5Widgets.so.5
#25 0x00007fc55a8caa17 in QtPrivate::QFunctorSlotObject<Akonadi::StandardContactActionManager::createAction(Akonadi::StandardContactActionManager::Type)::{lambda()#9}, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) () from /lib64/libKF5AkonadiContact.so.5
#26 0x00007fc55ba60ce7 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#27 0x00007fc55c6a2f52 in QAction::triggered(bool) () from /lib64/libQt5Widgets.so.5
#28 0x00007fc55c6a566b in QAction::activate(QAction::ActionEvent) () from /lib64/libQt5Widgets.so.5
#29 0x00007fc55ba60ce7 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#30 0x00007fc55a604675 in Akonadi::EntityTreeView::doubleClicked(Akonadi::Item const&) () from /lib64/libKF5AkonadiWidgets.so.5
#31 0x00007fc55a6053f4 in Akonadi::EntityTreeView::Private::itemDoubleClicked(QModelIndex const&) () from /lib64/libKF5AkonadiWidgets.so.5
#32 0x00007fc55a605bd5 in Akonadi::EntityTreeView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libKF5AkonadiWidgets.so.5
#33 0x00007fc55ba60bc3 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#34 0x00007fc55c8f1155 in QAbstractItemView::doubleClicked(QModelIndex const&) () from /lib64/libQt5Widgets.so.5
#35 0x00007fc55c962e38 in QTreeView::mouseDoubleClickEvent(QMouseEvent*) () from /lib64/libQt5Widgets.so.5
#36 0x00007fc55c6e86ef in QWidget::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#37 0x00007fc55c788d5e in QFrame::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#38 0x00007fc55c8fd0bb in QAbstractItemView::viewportEvent(QEvent*) () from /lib64/libQt5Widgets.so.5
#39 0x00007fc55c964e8c in QTreeView::viewportEvent(QEvent*) () from /lib64/libQt5Widgets.so.5
#40 0x00007fc55ba380fc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#41 0x00007fc55c6a9685 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#42 0x00007fc55c6b144f in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#43 0x00007fc55ba38367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#44 0x00007fc55c6b0422 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /lib64/libQt5Widgets.so.5
#45 0x00007fc55c702bcb in QWidgetWindow::handleMouseEvent(QMouseEvent*) () from /lib64/libQt5Widgets.so.5
#46 0x00007fc55c70526f in QWidgetWindow::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#47 0x00007fc55c6a96ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#48 0x00007fc55c6b0ef4 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#49 0x00007fc55ba38367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#50 0x00007fc55bf8e926 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /lib64/libQt5Gui.so.5
#51 0x00007fc55bf90335 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /lib64/libQt5Gui.so.5
#52 0x00007fc55bf6a1ab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Gui.so.5
#53 0x00007fc53944c7d0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5XcbQpa.so.5
#54 0x00007fc54acb2bb7 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#55 0x00007fc54acb2f60 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#56 0x00007fc54acb2fec in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#57 0x00007fc55ba8933f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#58 0x00007fc55ba370ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#59 0x00007fc55ba3f744 in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#60 0x00005641a26e161d in main ()

Reported using DrKonqi
Comment 1 didier.garde 2018-01-28 09:28:40 UTC
Created attachment 110171 [details]
New crash information added by DrKonqi

kaddressbook (5.7.1) using Qt 5.9.2

- What I was doing when the application crashed:

A chaque fois que je veux éditer un contact, cela plante avec n'importe quel contact.

Anytime i want to edit one contact, for each contact.

-- Backtrace (Reduced):
#6  0x00007f0850633239 in ContactEditor::AddressesLocationWidget::loadContact(KContacts::Addressee const&) () from /lib64/libKF5ContactEditor.so.5
#7  0x00007f08506555e5 in ContactEditorWidget::loadContact(KContacts::Addressee const&, ContactEditor::ContactMetaDataBase const&) () from /lib64/libKF5ContactEditor.so.5
#8  0x00007f085a808038 in Akonadi::AkonadiContactEditor::Private::parentCollectionFetchDone(KJob*) () from /lib64/libKF5AkonadiContact.so.5
[...]
#10 0x00007f0855c238dc in KJob::result(KJob*, KJob::QPrivateSignal) () from /lib64/libKF5CoreAddons.so.5
#11 0x00007f0855c24411 in KJob::finishJob(bool) () from /lib64/libKF5CoreAddons.so.5
Comment 2 Christoph Feck 2018-03-30 02:09:49 UTC
*** Bug 391864 has been marked as a duplicate of this bug. ***
Comment 3 Łukasz 2018-03-30 22:05:47 UTC
I've just received a Kontact upgrade to a 5.7.3 version, through Fedora 27 dnf. Now everything works perfectly fine as far as editing/adding new contacts is concerned. The bug seems fixed.